## EvProgressMessageArea

EvProgressMessageArea

## Functions

GtkWidget * | ev_progress_message_area_new ()
void | ev_progress_message_area_set_status ()
void | ev_progress_message_area_set_fraction ()

## Properties

gdouble | fraction | Read / Write
gchar * | status | Read / Write

## Types and Values

struct | EvProgressMessageArea
struct | EvProgressMessageAreaClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── EvMessageArea
                                ╰── EvProgressMessageArea

## Implemented Interfaces

EvProgressMessageArea implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ev_progress_message_area_new ()

    GtkWidget *
    ev_progress_message_area_new (const gchar *icon_name,
                                  const gchar *text,
                                  const gchar *first_button_text,
                                  ...);

### ev_progress_message_area_set_status ()

    void
    ev_progress_message_area_set_status (EvProgressMessageArea *area,
                                         const gchar *str);

### ev_progress_message_area_set_fraction ()

    void
    ev_progress_message_area_set_fraction (EvProgressMessageArea *area,
                                           gdouble fraction);

## Types and Values

### struct EvProgressMessageArea

    struct EvProgressMessageArea;

### struct EvProgressMessageAreaClass

    struct EvProgressMessageAreaClass {
    	EvMessageAreaClass parent_class;
    };

## Property Details

### The `“fraction”` property

      “fraction”                 gdouble

The fraction of total work that has been completed.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“status”` property

      “status”                   gchar *

The status text of the progress area.

Flags: Read / Write

Default value: NULL